import 'package:flutter/material.dart';
import 'package:flutter_green/pages/guide_page.dart';
import 'package:flutter_green/pages/home_page.dart';
import 'package:flutter_green/pages/login/login_page.dart';
import 'package:flutter_green/pages/login/register_page.dart';
import 'package:flutter_green/pages/login/welcome_page.dart';
import 'package:flutter_green/pages/splash_page.dart';

class Routes {
  static const String root = "/";
  static const String splashPage = "/splash";
  static const String guidePage = "/guide";
  static const String welcomePage = "/welcome";
  static const String homePage = "/home";
  static const String loginPage = "/login";
  static const String registerPage = "/register";

  static Route<dynamic> generateRoute(RouteSettings settings) {
    switch (settings.name) {
      case splashPage:
        return MaterialPageRoute(builder: (_) => SplashPage());
        break;
      case guidePage:
        return MaterialPageRoute(builder: (_) => GuidePage());
        break;
      case welcomePage:
        return MaterialPageRoute(builder: (_) => WelcomePage());
        break;
      case registerPage:
        return MaterialPageRoute(builder: (_) => RegisterPage());
        break;
      case loginPage:
        return MaterialPageRoute(builder: (_) => LoginPage());
        break;
      case homePage:
        return MaterialPageRoute(builder: (_) => HomePage());
        break;
      default:
        return MaterialPageRoute(
            builder: (_) => Scaffold(
                  appBar: AppBar(title: Text("Route Error")),
                  body: Center(
                    child: Text('No route defined for ${settings.name}'),
                  ),
                ));
    }
  }
}
